summaryrefslogtreecommitdiff
path: root/source3/script/uninstallbin.sh.in
diff options
context:
space:
mode:
authorLars Müller <lmuelle@samba.org>2006-03-08 21:42:12 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 11:11:09 -0500
commit24decd1233da03e4ce77e2110e7d06a368924164 (patch)
tree3adfbef7d138ae03c2394807996a48823985c511 /source3/script/uninstallbin.sh.in
parent924be0421772c1a161a8cf300e88748dab25c709 (diff)
downloadsamba-24decd1233da03e4ce77e2110e7d06a368924164.tar.gz
samba-24decd1233da03e4ce77e2110e7d06a368924164.tar.bz2
samba-24decd1233da03e4ce77e2110e7d06a368924164.zip
r14056: Also install the mount.smbfs sym link to rootsbindir. Therfore we have
to substitute rootsbindir in {,un}installbin.sh.in. Pass $prefix as third arg to installbin/ uninstallbin as rootsbindir by default is $prefix/sbin. (This used to be commit 7773b8c9e0ad7bcff1312f28ca9cd17d7677e9bd)
Diffstat (limited to 'source3/script/uninstallbin.sh.in')
-rwxr-xr-xsource3/script/uninstallbin.sh.in46
1 files changed, 46 insertions, 0 deletions
diff --git a/source3/script/uninstallbin.sh.in b/source3/script/uninstallbin.sh.in
new file mode 100755
index 0000000000..d8a4855823
--- /dev/null
+++ b/source3/script/uninstallbin.sh.in
@@ -0,0 +1,46 @@
+#!/bin/sh
+#4 July 96 Dan.Shearer@UniSA.edu.au
+
+INSTALLPERMS=$1
+DESTDIR=$2
+prefix=`echo $3 | sed 's/\/\//\//g'`
+BINDIR=`echo $4 | sed 's/\/\//\//g'`
+shift
+shift
+shift
+shift
+
+if [ ! -d $DESTDIR/$BINDIR ]; then
+ echo "Directory $DESTDIR/$BINDIR does not exist! "
+ echo "Do a "make installbin" or "make install" first. "
+ exit 1
+fi
+
+for p in $*; do
+ p2=`basename $p`
+ if [ -f $DESTDIR/$BINDIR/$p2 ]; then
+ echo "Removing $DESTDIR/$BINDIR/$p2 "
+ rm -f $DESTDIR/$BINDIR/$p2
+ if [ -f $DESTDIR/$BINDIR/$p2 ]; then
+ echo "Cannot remove $DESTDIR/$BINDIR/$p2 ... does $USER have privileges? "
+ fi
+ fi
+
+ # this is a special case, mount needs this in a specific location
+ if test "$p2" = smbmount -a -f "$DESTDIR/sbin/mount.smbfs"; then
+ echo "Removing $DESTDIR/sbin/mount.smbfs "
+ rm -f "$DESTDIR/@rootsbindir@/sbin/mount.smbfs"
+ fi
+done
+
+
+cat << EOF
+======================================================================
+The binaries have been uninstalled. You may restore the binaries using
+the command "make installbin" or "make install" to install binaries,
+man pages, modules and shell scripts. You can restore a previous
+version of the binaries (if there were any) using "make revert".
+======================================================================
+EOF
+
+exit 0